EOL Notification: Notice of Firefox Browser Support Issue

Firefox is dropping NPAPI support in their browsers starting March 7, 2017 according to their support announcements.  This will affect all Bitcentral products that use Java and Silverlight browser applets.  Those products are:

  • CORE:news
  • CORE:select
  • Precis
  • Oasis
  • ME/EME

If any of your Station users are using a Firefox browser to access any of Bitcentral’s suite of products please make sure those Firefox browsers are set to NOT-AUTO-UPDATE their currently installed Firefox browser. Until we have better understanding for what is to come in the newest release most of our testing has been with the beta version for the new release 52 which we were able to enable the plugins.  But, for future releases this function will not be available i.e. Version 53. This is why we are sending out this notification now as a preemptive approach to prevent any downtime.  Instructions on how to enable plugins are outlined below.

Bitcentral’s Action Plan:

Bitcentral will be releasing a new client App for use in all CORE:news, CORE:select and all stand-alone products, Precis, Oasis and ME/EME that will ensure continued support for the required web page applets to run.  This new Bitcentral client App will be used to run all of Bitcentral browser based system user interfaces.  The new client App will have:

  • No URL browser bar
  • No forward/back buttons
  • The new Bitcentral provided client App will come with all the plugins required to run all Bitcentral we pages.
  • Windows and Mac compatible

The Station users can still install the browser client of their choice for other internet uses but the Bitcentral client cannot be used as an internet browser interface going forward, only CORE applications will show up in the interface.

Until our dedicated client is released we do however have other alternatives. Firefox has an Extended Support Release version for its browser. This release will allow all the security benefits of the software and legacy functionalities of previous versions of the web browser. Please read links below for more details regarding how to’s for downloading ESR and disabling auto updates.

REFERENCES AND LINKS

Enabling NPAPI plugins in Firefox 52

  1. Type about:config in the browser’s address bar.

 

 

  1. Select I accept the risk!
  2. Right click anywhere on the white portion of the page, select new, Boolean. The preference name is:plugin.load_flash_only and this should be set to false.

     

  3. Restart the browser.
  4. Test accessing Silverlight, Java, or any other NPAPI driven content.
  5. Contact Bitcentral Support with any questions!
  • Share: